Je souhaite obtenir des informations sur une formation complète concernant le thème DIVI dispensé
par un organisme de formation certifié par l’état.
Que la formation soit finançable par mon CPF (idéalement) ou autre


WordPress 5.5 a été déployé en août 2020 et peu de temps après, des millions de sites Web se sont écrasés sur Internet. Préparez-vous car WordPress 5.6 a le potentiel de faire de même.

L’un des développeurs WordPress à l’origine du plugin jQuery Migrate a déclaré dans un fil de support que le plugin deviendrait « inutile » après l’introduction de 5.6. Quiconque y compte encore en décembre verra à nouveau les élastiques rompre leurs sites.

Pourquoi WordPress 5.5 sites Web cassés

WordPress est dans une modernisation planifiée en trois phases de l’utilisation de jQuery. jQuery est une série de scripts qui fournissent aux sites Web des fonctions telles que l’animation, fournissent des éléments interactifs pour les sites Web, facilitent la création de plugins et de thèmes lorsqu’ils traitent des fonctions que les sites Web ont en commun et modifient le CSS avec eux.

Les mèmes sur WordPress 5.5 détruisent les sites Web

Les anciennes versions de jQuery sont toujours utilisées dans de nombreux plugins et thèmes. Les anciennes bibliothèques jQuery contiennent des vulnérabilités de script intersite (XSS) et de déni de service (DoS) qui peuvent être dangereuses pour les sites Web.

La publicité

Lisez ci-dessous

WordPress 5.5 a été la première étape de la modernisation de WordPress en forçant tout l’écosystème WordPress à mettre à jour son code et à se joindre à la version la plus récente et la plus sécurisée de jQuery.

La première étape du voyage consistait à supprimer la bibliothèque jQuery Migrate 1.x.

jQuery Migrate est un code qui permet à un site Web de continuer à travailler avec des plugins qui utilisent des versions plus anciennes de jQuery. Cela rend un site WordPress rétrocompatible avec les plugins et les thèmes qui utilisent des scripts jQuery encore plus anciens.

WordPress a annoncé ces étapes des mois à l’avance. Les développeurs de plugins et de thèmes avaient abondamment prévenu que jQuery allait être supprimé, ce qui leur laissait suffisamment de temps pour mettre à jour leur logiciel.

Lorsque WordPress a publié la version 5.5 en août 2020, des millions de sites Web ne fonctionnaient plus comme ils le devraient. Certaines personnes ont été bannies de leurs sites Web et n’ont pas pu se connecter à leur zone d’administration. D’autres éditeurs ont constaté que l’intégralité de leur site Web n’était plus entièrement affichée.

La publicité

Lisez ci-dessous

WordPress a publié un plugin appelé « Activer jQuery Migrate Helper » pour restaurer tous les sites Web endommagés. Des millions de sites Web ont été restaurés et fonctionnent comme d’habitude.

Pourquoi WordPress 5.6 pourrait endommager certains sites Web

WordPress 5.6 introduira la deuxième étape de la modernisation de l’utilisation de jQuery en mettant à jour la bibliothèque jQuery Migrate vers la dernière version 3.3.1.

En conséquence, les sites Web qui s’appuient sur «Activer jQuery Migrate Helper» pour empêcher leur site Web de s’effondrer en souffriront à nouveau.

Selon le annonce officielle::

«La première étape a été incluse dans WordPress 5.5, ce qui signifie que l’activation de jQuery Migrate version 1.x a été définie par défaut.

Dans le cadre de … la deuxième partie de ce processus … qui a mis à jour la version de jQuery fournie avec la version 3.5.1. De plus, jQuery Migrate a également été mis à jour vers la nouvelle version 3.3.1.

Notez que le script de migration de la version 3 est incompatible avec les fonctionnalités que le script de migration précédent fournissait polyfill, et les fonctionnalités précédemment marquées comme obsolètes ne seront plus disponibles. « 

Cela signifie que la fonctionnalité des sites Web qui reposent toujours sur le plugin «Activer jQuery Migrate Helper» sera à nouveau interrompue pour que leur site Web continue de fonctionner.

Dans un plugin WordPress Enable jQuery Migrate Helper Forum d’aidequelqu’un a demandé si le plugin « Activer jQuery Migrate Helper » fonctionne toujours avec WordPress 5.6

« Activer jQuery Migrate Helper fonctionne-t-il toujours après l’arrivée de la mise à jour de WordPress 5.6? »

Le développeur du plugin WordPress a répondu:

« En bref, non, cela n’aidera pas une fois que WordPress 5.6 sera disponible car il est prévu de mettre à jour la bibliothèque jQuery dans WordPress et cela rendrait cet assistant inutilisable … »

De nombreux développeurs de plugins et de thèmes ont mis à jour leur logiciel avec la dernière version de jQuery et résolu le problème. Les utilisateurs de ces produits ne devraient pas avoir de problème.

La publicité

Lisez ci-dessous

Cependant, il existe de nombreux thèmes et plugins qui ne sont plus gérés et peut-être d’autres qui n’ont pas encore mis à jour leur code. Les utilisateurs de ces produits verront probablement leurs sites Web fonctionner le mieux.

WordPress 5.6 endommagera-t-il votre site Web?

Si vous utilisez actuellement le plugin «Activer jQuery Migrate Helper» et que vous recevez des messages d’erreur lorsque vous vous connectez à votre zone d’administration, vous pouvez rencontrer un comportement de site Web inattendu lors de la mise à jour de WordPress vers la version 5.6.

Cependant, si Activer jQuery Migrate Helper ne signale aucune erreur, cela signifie que vos thèmes et plugins ont mis à jour leurs bibliothèques jQuery et que le site devrait fonctionner correctement.





Source link

Recent Posts